Docunext

  • About

Ruby and OpenSSL HTTP Response Code 422

May 3rd, 2011

Here are my Ruby and Ruby on Rails notes for this week! They involve OpenSSL and the 422 HTTP response code.

Ruby and OpenSSL

I tried using RVM on Debian Wheezy last week and rvm install ree was flailing miserably. A little spelunking led to the fact that Wheezy uses OpenSSL 1.x! Wow, imagine how long openssl has been around, and its finally reached "1.0"! Was there an announcement?

The solution was not a big deal. While there are some patches to the ruby code, I opted to add the squeeze repositories and install openssl 0.9.8. The same should work for ubuntu, as I actually discovered many other folks who ran into a similar problem on ubuntu.

Response Code 422

While running a rails test this week, one of my assertions failed and I could not figure out why. I then dig some quick spelunking and found it to be that part of the controlled which response with "unprocessable entity" for XML requests. Indeed I was using xhr in my test. That really narrowed it down and I was able to change my xhr request to pass the assertion.

Yearly Indexes: 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2015 2019 2020